=== src/mac/CMakeLists.txt ===
SUBDIRS(Contents)
