=== debian/changelog ===
marble (4:25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 12:20:02 +0000

marble (4:25.08.2-0ubuntu3) resolute; urgency=medium

  * debian/marble-apparmor: fix profile syntax (LP: #2109937)
    - Thanks to Theofilos Intzoglou (parapente).

 -- Robert Kratky <robert.kratky@canonical.com>  Tue, 21 Oct 2025 13:37:53 +0200

marble (4:25.08.2-0ubuntu2) resolute; urgency=medium

  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 15:07:06 +0100

marble (4:25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:57:18 +0100

marble (4:25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 06:59:05 +0100

marble (4:25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:34:25 +0100
