## marble 25.08.3+p24.04+vunstable+git20251123.0255

=== debian/changelog ===
marble (4:25.08.3+p24.04+vunstable+git20251123.0255-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 02:55:51 +0000

marble (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:35:47 +1000
