## marble 25.08.3+p24.04+vunstable+git20251208.0907

=== debian/changelog ===
marble (4:25.08.3+p24.04+vunstable+git20251208.0907-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 09:07:44 +0000
