=== debian/changelog ===
marble (4:25.11.80-0ubuntu2) resolute; urgency=medium

  * Rebuild against new libgps31.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 23 Nov 2025 03:38:56 +0100

marble (4:25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 05:57:25 +0000
